# -*- encoding: utf-8 -*-
# stub: json_spec 1.1.5 ruby lib

Gem::Specification.new do |s|
  s.name = "json_spec".freeze
  s.version = "1.1.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Steve Richert".freeze]
  s.date = "2018-02-18"
  s.description = "RSpec matchers and Cucumber steps for testing JSON content".freeze
  s.email = ["steve.richert@gmail.com".freeze]
  s.files = ["CHANGELOG.md".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "features/equivalence.feature".freeze, "features/files.feature".freeze, "features/inclusion.feature".freeze, "features/memory.feature".freeze, "features/paths.feature".freeze, "features/sizes.feature".freeze, "features/step_definitions/steps.rb".freeze, "features/support/env.rb".freeze, "features/types.feature".freeze, "gemfiles/rspec2.gemfile".freeze, "gemfiles/rspec3.gemfile".freeze, "json_spec.gemspec".freeze, "lib/json_spec.rb".freeze, "lib/json_spec/configuration.rb".freeze, "lib/json_spec/cucumber.rb".freeze, "lib/json_spec/errors.rb".freeze, "lib/json_spec/exclusion.rb".freeze, "lib/json_spec/helpers.rb".freeze, "lib/json_spec/matchers.rb".freeze, "lib/json_spec/matchers/be_json_eql.rb".freeze, "lib/json_spec/matchers/have_json_path.rb".freeze, "lib/json_spec/matchers/have_json_size.rb".freeze, "lib/json_spec/matchers/have_json_type.rb".freeze, "lib/json_spec/matchers/include_json.rb".freeze, "lib/json_spec/memory.rb".freeze, "lib/json_spec/messages.rb".freeze, "spec/json_spec/configuration_spec.rb".freeze, "spec/json_spec/helpers_spec.rb".freeze, "spec/json_spec/matchers/be_json_eql_spec.rb".freeze, "spec/json_spec/matchers/have_json_path_spec.rb".freeze, "spec/json_spec/matchers/have_json_size_spec.rb".freeze, "spec/json_spec/matchers/have_json_type_spec.rb".freeze, "spec/json_spec/matchers/include_json_spec.rb".freeze, "spec/json_spec/matchers_spec.rb".freeze, "spec/json_spec/memory_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support/files/one.json".freeze, "spec/support/files/project/one.json".freeze, "spec/support/files/project/two.json".freeze, "spec/support/files/project/version/one.json".freeze, "spec/support/files/project/version/two.json".freeze, "spec/support/files/two.json".freeze]
  s.homepage = "https://github.com/collectiveidea/json_spec".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "2.5.2.2".freeze
  s.summary = "Easily handle JSON in RSpec and Cucumber".freeze
  s.test_files = ["features/equivalence.feature".freeze, "features/files.feature".freeze, "features/inclusion.feature".freeze, "features/memory.feature".freeze, "features/paths.feature".freeze, "features/sizes.feature".freeze, "features/step_definitions/steps.rb".freeze, "features/support/env.rb".freeze, "features/types.feature".freeze, "spec/json_spec/configuration_spec.rb".freeze, "spec/json_spec/helpers_spec.rb".freeze, "spec/json_spec/matchers/be_json_eql_spec.rb".freeze, "spec/json_spec/matchers/have_json_path_spec.rb".freeze, "spec/json_spec/matchers/have_json_size_spec.rb".freeze, "spec/json_spec/matchers/have_json_type_spec.rb".freeze, "spec/json_spec/matchers/include_json_spec.rb".freeze, "spec/json_spec/matchers_spec.rb".freeze, "spec/json_spec/memory_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support/files/one.json".freeze, "spec/support/files/project/one.json".freeze, "spec/support/files/project/two.json".freeze, "spec/support/files/project/version/one.json".freeze, "spec/support/files/project/version/two.json".freeze, "spec/support/files/two.json".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<multi_json>.freeze, ["~> 1.0"])
      s.add_runtime_dependency(%q<rspec>.freeze, ["< 4.0", ">= 2.0"])
      s.add_development_dependency(%q<bundler>.freeze, ["~> 1.0"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    else
      s.add_dependency(%q<multi_json>.freeze, ["~> 1.0"])
      s.add_dependency(%q<rspec>.freeze, ["< 4.0", ">= 2.0"])
      s.add_dependency(%q<bundler>.freeze, ["~> 1.0"])
      s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    end
  else
    s.add_dependency(%q<multi_json>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rspec>.freeze, ["< 4.0", ">= 2.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
  end
end
